RT Target Errors Dialog Box

RT Target Errors Dialog Box (RT Module)

From LabVIEW, right-click an RT target in the Project Explorer window and select Utilities»View Error Log from the shortcut menu to display this dialog box.

From MAX, right-click an RT target in the configuration tree and select View Error Log to display this dialog box.

Use the RT Target Errors dialog box to view error logs and generate error reports for sessions of an RT target. The RT Target Errors dialog box displays LabVIEW errors, real-time operating system errors, and crash logs for an RT target.

This dialog box includes the following components:

  • LabVIEW RT sessions—Displays a list of sessions for the RT target. A session begins when you power on the RT target and ends when you reboot the target.
  • LabVIEW error log—Displays the LabVIEW error codes for errors that occurred on the RT target during the selected session.
  • RT System error log—Displays the system and Real-Time Module driver errors reported by the RT target during the selected session.
  • Crash log—Displays information saved from an RT target prior to a system crash. Crash log returns information such as stack crawls, a list of the DLLs in memory, register values, and the code number of the crash for the selected session. National Instruments can use this information to troubleshoot an RT target.
  • Delete Session—Deletes the error logs for the selected sessions and removes the sessions from the LabVIEW RT sessions listbox.
  • Create Report—Saves error logs and RT target information for the selected sessions to a text file.
  • Done—Closes this dialog box.